GetDomains

[POST] .../v1/reportbuilder/getdomains

Returns report builder domains. Use this method to load the list of domains available in the report builder UI before requesting a domain schema. The method returns builder metadata without creating a report request. The caller must have report-builder permission 759 and an account tariff with report builder enabled; denied access, unavailable tariff, builder service connectivity errors or builder validation errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

No request body.

Request Example

{}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result ReportBuilderDomainsResult Result object.

Response Example

{
  "ok": true,
  "result": {
    "schema_version": 1,
    "domains": [
      {
        "code": "Nomenclature",
        "title_key": "report_builder_domain_nomenclature",
        "title": "Nomenclature",
        "description_key": "report_builder_domain_nomenclature_desc",
        "description": "Product, stock, sales, movement, and purchase analytics.",
        "enabled": true
      }
    ]
  }
}